## panko 8.0.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  wadl       to build a WADL file for api.openstack.org"

clean:
	-rm -rf $(BUILDDIR)/*

html: check-dependencies
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: check-dependencies
check-dependencies:
	@python -c 'import sphinxcontrib.autohttp.flask' >/dev/null 2>&1 || (echo "ERROR: Missing Sphinx dependencies. Run: pip install sphinxcontrib-httpdomain" && exit 1)
	@ld -ltidy >/dev/null 2>&1 || (echo "Error: Missing libtidy dependencies. Pls. install libtidy with system package manager" && exit 1)

wadl:
	$(SPHINXBUILD) -b docbook $(ALLSPHINXOPTS) $(BUILDDIR)/wadl
	@echo
	@echo "Build finished. The WADL pages are in $(BUILDDIR)/wadl."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Panko.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Panko.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Panko"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Panko"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
openstackdocstheme>=1.31.2 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0 # Apache-2.0
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.6.1 # BSD
reno>=2.7.0 # Apache-2.0

=== debian/changelog ===
panko (8.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Update tarball URL to opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 12:41:18 -0400

panko (8.0.0~b3~git2020041014.e66d3e75-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/panko-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:07:48 -0400

panko (8.0.0~b3~git2020032612.a725f644-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/panko-common.postinst: Refactor to standardise /etc, /var/lib and
    /var/log ownership and permissions (LP: #1859422).

 -- James Page <james.page@ubuntu.com>  Thu, 26 Mar 2020 12:45:28 +0000

panko (8.0.0~b2~git2020020610.f7f87fc9-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 11:22:54 +0100

panko (8.0.0~b1~git2019121712.b787e1dc-0ubuntu1) focal; urgency=medium

  * d/panko-api.conf: Align site config with other OpenStack packages.
    This also fixes the current autopkgtest failure where panko API can't
    access config files in /etc/panko/ (LP: #1848519).
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 12:28:02 -0500

=== debian/control ===
Source: panko
Section: python
Priority: optional
Maintainer: Chuck Short <zuclss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 12),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.httpdomain,
 python3-sphinxcontrib-pecanwsme (>= 0.8),
Build-Depends-Indep:
 python3-alembic (>= 0.7.6),
 python3-coverage (>= 3.6),
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-elasticsearch (>= 1.3.0),
 python3-fixtures (>= 1.3.1),
 python3-gabbi (>= 1.11.0),
 python3-keystonemiddleware (>= 4.0.0),
 python3-lxml (>= 2.3),
 python3-mock (>= 1.2),
 python3-openstackdocstheme (>= 1.11.0),
 python3-os-testr (>= 0.4.1),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.db (>= 4.1.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 1.14.0),
 python3-oslo.middleware (>= 3.10.0),
 python3-oslo.policy (>= 0.5.0),
 python3-oslo.reports (>= 0.6.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-paste,
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.0.0),
 python3-psycopg2 (>= 2.5),
 python3-pymongo (>= 3.0.2),
 python3-pymysql (>= 0.6.2),
 python3-reno,
 python3-six (>= 1.9.0),
 python3-stestr (>= 2.0.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlalchemy-utils,
 python3-stevedore (>= 1:1.9.0),
 python3-subunit (>= 0.0.18),
 python3-tempest (>= 1:11.0.0),
 python3-tenacity (>= 3.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 1.4.0),
 python3-webob (>= 1:1.2.3),
 python3-webtest (>= 2.0),
 python3-wsme (>= 0.8),
 python3-yaml (>= 3.1.0),
Standards-Version: 4.1.2
Homepage: https://launchpad.net/panko
Testsuite: autopkgtest-pkg-python

Package: panko-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-panko (= ${binary:Version}),
 ${misc:Depends},
Description: Event storage dispatcher for Ceilometer
 Event storage dispatcher for Ceilometer.
 .
 This package container the api service

Package: python3-panko
Architecture: all
Depends:
 panko-common (= ${binary:Version}),
 python3-alembic (>= 0.7.6),
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-elasticsearch (>= 1.3.0),
 python3-keystonemiddleware (>= 4.0.0),
 python3-lxml (>= 2.3),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.db (>= 4.1.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 1.14.0),
 python3-oslo.middleware (>= 3.10.0),
 python3-oslo.policy (>= 0.5.0),
 python3-oslo.reports (>= 0.6.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.5.0),
 python3-paste,
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-pymongo (>= 3.0.2),
 python3-six (>= 1.9.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.9.0),
 python3-tenacity (>= 3.1.0),
 python3-webob (>= 1:1.2.3),
 python3-wsme (>= 0.8),
 python3-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Suggests:
 python-panko-doc,
Description: Event storage dispatcher for Ceilometer (Python 3)
 Event storage dispatcher for Ceilometer.
 .
 This package installs the library for Python 3

Package: python-panko-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Event storage dispatcher for Ceilometer. (common documentation)
 Event storage dispatcher for Ceilometer
 .
 This is the common documentation package.

Package: panko-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 panko-api (<< 5.0.0-0ubuntu3~),
Replaces:
 panko-api (<< 5.0.0-0ubuntu3~),
Description: panko common files
 Event storage dispatcher for Ceilometer.
 .
 This package contains files that are needed for all parts of panko.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/panko panko-(8\.\d.*)\.tar\.gz

## panko 9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

debtcollector>=1.2.0  # Apache-2.0
tenacity>=3.1.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.19.0,>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
oslo.db>=4.1.0 # Apache-2.0
oslo.config>=3.9.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
Paste
PasteDeploy>=1.5.0 # MIT
pbr>=2.0.0 # Apache-2.0
pecan>=1.0.0 # BSD
oslo.middleware>=3.10.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.9.0 # Apache-2.0
WebOb>=1.2.3 # MIT
WSME>=0.8 # MIT
alembic>=0.7.6,!=0.8.1,!=0.9.0
# NOTE(jd) We do not import it directly, but WSME datetime string parsing
# behaviour changes when this library is installed
python-dateutil>=2.4.2 # BSD
pymongo!=3.1  # Apache-2.0
elasticsearch<3.0.0  # Apache-2.0

=== debian/changelog ===
panko (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 20:35:45 +0200

panko (9.0.0~rc1-2) experimental; urgency=medium

  * Correctly delete /etc/panko/policy.json instead of copying from
    /usr/share/panko/policy.json which doesn't exist anymore.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 17:25:17 +0200

panko (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Use a yaml file policy in /etc/panko/policy.d.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 15:32:51 +0200

panko (8.0.0-3) unstable; urgency=medium

  * Fix disable_by_file_path = /etc/panko/healthcheck_disable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2020 14:19:21 +0200

panko (8.0.0-2) unstable; urgency=medium

  * Add a patch to enable oslo.middleware /healthcheck.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jun 2020 12:48:56 +0200

panko (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 18:27:22 +0200

panko (8.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 02:34:21 +0200

panko (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 22:37:21 +0200

panko (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add missing (build-)depends: python3-importlib-metadata.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 22:00:04 +0200

panko (7.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:47:51 +0200

panko (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 16:34:34 +0200

panko (6.0.0-6) unstable; urgency=medium

  * Fixed panko-api runtime depends on uwsgi-plugin-python3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Aug 2019 00:39:44 +0200

panko (6.0.0-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Thu, 18 Jul 2019 18:29:51 +0200

panko (6.0.0-3) experimental; urgency=medium

  * Fixed panko-api binary path in init scripts.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 May 2019 16:31:38 +0200

panko (6.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 17:39:10 +0200

panko (6.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 10:50:29 +0200

panko (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of packages when satisfied in Buster.
  * Removed Breaks:+Replaces: python-panko after Buster.
  * Removed python3- prefix when calling config generators.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Mar 2019 11:09:43 +0100

=== debian/control ===
Source: panko
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-coverage,
 python3-dateutil,
 python3-debtcollector,
 python3-elasticsearch,
 python3-fixtures,
 python3-gabbi,
 python3-importlib-metadata,
 python3-keystonemiddleware,
 python3-lxml,
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-psycopg2,
 python3-pymongo,
 python3-pymysql,
 python3-six,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr,
 python3-stevedore,
 python3-tenacity,
 python3-testtools,
 python3-webob,
 python3-webtest,
 python3-wsme,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/panko
Vcs-Git: https://salsa.debian.org/openstack-team/services/panko.git
Homepage: https://github.com/openstack/panko

Package: panko-api
Architecture: all
Depends:
 adduser,
 debconf,
 panko-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-pankoclient,
Description: Event storage dispatcher for Ceilometer - API server
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains the Panko API server.

Package: panko-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-panko (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: Event storage dispatcher for Ceilometer - common files
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains common files for Panko.

Package: panko-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Event storage dispatcher for Ceilometer - Documentation
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains the documentation.

Package: python3-panko
Architecture: all
Section: python
Depends:
 alembic,
 python3-alembic,
 python3-dateutil,
 python3-debtcollector,
 python3-elasticsearch,
 python3-importlib-metadata,
 python3-keystonemiddleware,
 python3-lxml,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymongo,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-webob,
 python3-wsme,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-panko (<< 3.1.0-3),
Replaces:
 python-panko (<< 3.1.0-3),
Description: Event storage dispatcher for Ceilometer - Python library
 The Panko project is an event storage service that provides the ability to
 store and querying event data generated by Ceilometer with potentially other
 sources.
 .
 Panko is a component of the Telemetry project.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean
	find . -iname '*.pyc' -delete
	rm -rf doc/build
	rm -f debian/panko-common.config debian/panko-common.postinst
	rm -f debian/panko-api.config debian/panko-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service
	rm -rf build

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func panko-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm panko-common.postrm
	pkgos-merge-templates panko-api panko endpoint
	pkgos-merge-templates panko-common panko db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'panko\.tests\.unit\.*'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/panko-common/usr/share/panko-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/panko-common/usr/share/panko-common/panko.conf \
		--namespace panko \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/panko-common/usr/share/panko-common/panko.conf keystone_authtoken panko

	mkdir -p $(CURDIR)/debian/panko-common/etc/panko/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/panko-common/etc/panko/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace panko

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/panko-common/usr/share/panko-common/panko.conf oslo_policy policy_dirs /etc/panko/policy.d

	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database backend sqlalchemy
	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database connection sqlite:////var/lib/panko/sqlite.db

	pkgos-fix-config-default $(CURDIR)/debian/panko-common/usr/share/panko-common/panko.conf oslo_concurrency lock_path /var/lock/panko

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/panko-doc/usr/share/doc/panko-doc/html
	touch $(CURDIR)/debian/panko-doc/usr/share/doc/panko-doc/html/_static/toggle.js
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/panko/tags .*/(\d[brc\d\.]+)\.tar\.gz

## panko 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,13 +4,14 @@
 
 debtcollector>=1.2.0  # Apache-2.0
 tenacity>=3.1.0 # Apache-2.0
-keystonemiddleware!=4.1.0,!=4.19.0,>=4.0.0 # Apache-2.0
+keystonemiddleware>=5.1.0 # Apache-2.0
 lxml>=2.3 # BSD
 oslo.db>=4.1.0 # Apache-2.0
 oslo.config>=3.9.0 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
-oslo.log>=1.14.0 # Apache-2.0
-oslo.policy>=0.5.0 # Apache-2.0
+oslo.log>=4.3.0 # Apache-2.0
+oslo.policy>=3.6.0 # Apache-2.0
 oslo.reports>=0.6.0 # Apache-2.0
 Paste
 PasteDeploy>=1.5.0 # MIT
@@ -20,7 +21,6 @@
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.utils>=3.5.0 # Apache-2.0
 PyYAML>=3.1.0 # MIT
-six>=1.9.0 # MIT
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 stevedore>=1.9.0 # Apache-2.0
 WebOb>=1.2.3 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0 # Apache-2.0
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
sphinxcontrib-httpdomain>=1.6.1 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
panko (1:10.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 12:50:08 +0000

panko (1:10.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 10.x series and fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 12:25:40 -0400

panko (1:9.0.0+git2021012713.3054d778-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Jan 2021 07:33:32 +0000

panko (1:9.0.0+git2020121012.ac92c378-0ubuntu1) hirsute; urgency=medium

  * Increment epoch to align with new snapshot plan.
  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 13:12:15 +0000

panko (9.1.0~b1~git2020120812.4d0c0d66-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 08 Dec 2020 12:34:29 +0000

panko (9.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:30:22 -0400

panko (9.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 9.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 13:17:31 -0400

panko (9.0.0~b2~git2020073016.046c9460-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Drop min version of openstack-pkg-tools.
  * d/control, d/copyright: Update upstream URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 16:02:19 -0400

panko (9.0.0~b1~git2020070114.d2453d77-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 01 Jul 2020 14:31:15 +0000

panko (8.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: Update tarball URL to opendev.org.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 09:19:44 +0000

=== debian/control ===
Source: panko
Section: python
Priority: optional
Maintainer: Chuck Short <zuclss@ubuntu.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 12),
 dh-apache2,
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.httpdomain,
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
Build-Depends-Indep:
 python3-alembic (>= 0.7.6),
 python3-coverage (>= 3.6),
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-elasticsearch,
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.11.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 2.3),
 python3-mock (>= 1.2),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr (>= 0.4.1),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.db (>= 4.1.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.middleware (>= 3.10.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 0.6.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-paste,
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.0.0),
 python3-psycopg2 (>= 2.5),
 python3-pymongo,
 python3-pymysql (>= 0.6.2),
 python3-reno,
 python3-stestr (>= 2.0.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlalchemy-utils,
 python3-stevedore (>= 1:1.9.0),
 python3-subunit (>= 0.0.18),
 python3-tempest (>= 1:11.0.0),
 python3-tenacity (>= 3.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 1.4.0),
 python3-webob (>= 1:1.2.3),
 python3-webtest (>= 2.0),
 python3-wsme (>= 0.8),
 python3-yaml (>= 3.1.0),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/panko
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/panko
Homepage: https://opendev.org/openstack/panko
Testsuite: autopkgtest-pkg-python

Package: panko-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-panko (= ${binary:Version}),
 ${misc:Depends},
Description: Event storage dispatcher for Ceilometer
 Event storage dispatcher for Ceilometer.
 .
 This package container the api service

Package: python3-panko
Architecture: all
Depends:
 panko-common (= ${binary:Version}),
 python3-alembic (>= 0.7.6),
 python3-dateutil (>= 2.4.2),
 python3-debtcollector (>= 1.2.0),
 python3-elasticsearch,
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 2.3),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.db (>= 4.1.0),
 python3-oslo.i18n (>= 2.1.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.middleware (>= 3.10.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 0.6.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.utils (>= 3.5.0),
 python3-paste,
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-pymongo,
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.9.0),
 python3-tenacity (>= 3.1.0),
 python3-webob (>= 1:1.2.3),
 python3-wsme (>= 0.8),
 python3-yaml (>= 3.1.0),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Suggests:
 python-panko-doc,
Description: Event storage dispatcher for Ceilometer (Python 3)
 Event storage dispatcher for Ceilometer.
 .
 This package installs the library for Python 3

Package: python-panko-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Event storage dispatcher for Ceilometer. (common documentation)
 Event storage dispatcher for Ceilometer
 .
 This is the common documentation package.

Package: panko-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 panko-api (<< 5.0.0-0ubuntu3~),
Replaces:
 panko-api (<< 5.0.0-0ubuntu3~),
Description: panko common files
 Event storage dispatcher for Ceilometer.
 .
 This package contains files that are needed for all parts of panko.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=panko

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

%:
	dh $@ --with apache2,python3 --buildsystem=pybuild

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/panko/panko-config-generator.conf
	dh_install
	dh_missing --fail-missing
	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database backend sqlalchemy
	pkgos-fix-config-default $(CURDIR)/debian/panko-common/etc/panko/panko.conf database connection \
		sqlite:////var/lib/panko/sqlite.db


ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OS_TEST_PATH=./panko/tests/unit pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	rm -rf .testrepository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/panko/ panko-(10\.\d.*)\.tar\.gz
